> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create multiple contacts



## OpenAPI

````yaml post /contacts/create-bulk
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /contacts/create-bulk:
    post:
      tags:
        - contacts
      summary: Create multiple contacts
      operationId: ContactsController_createBulk
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBulkContactDto'
      responses:
        '201':
          description: Contacts created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactResponseDto'
      security:
        - apiKey: []
components:
  schemas:
    CreateBulkContactDto:
      type: object
      properties:
        listName:
          type: string
          description: List name for the contacts
        tag:
          type: string
          description: Tag for the contacts
        data:
          description: Array of contact data
          type: array
          items:
            $ref: '#/components/schemas/ContactDataDto'
      required:
        - listName
        - tag
        - data
    ContactResponseDto:
      type: object
      properties:
        id:
          type: number
          description: Contact ID
        userId:
          type: number
          description: User ID
        listName:
          type: string
          description: List name for the contact
        tag:
          type: string
          description: Tag for the contact
        firstName:
          type: string
          description: First name of the contact
        lastName:
          type: string
          description: Last name of the contact
        email:
          type: string
          description: Email of the contact
        phone:
          type: string
          description: Phone number of the contact
        dateOfBirth:
          type: string
          description: Date of birth of the contact
        contactSource:
          type: string
          description: Source of the contact
        clearTalkNotes:
          type: string
          description: Notes for the contact
        customField:
          type: object
          description: Custom fields for the contact
        createdAt:
          format: date-time
          type: string
          description: Creation date
        updatedAt:
          format: date-time
          type: string
          description: Last update date
      required:
        - id
        - userId
        - listName
        - tag
        - firstName
        - lastName
        - email
        - phone
        - dateOfBirth
        - contactSource
        - clearTalkNotes
        - customField
        - createdAt
        - updatedAt
    ContactDataDto:
      type: object
      properties:
        first_name:
          type: string
          description: First name of the contact
        last_name:
          type: string
          description: Last name of the contact
        email:
          type: string
          description: Email of the contact
        phone:
          type: string
          description: Phone number of the contact
        date_of_birth:
          type: string
          description: Date of birth of the contact
        contact_source:
          type: string
          description: Source of the contact
        clear_talk_notes:
          type: string
          description: Notes for the contact
        disposition:
          type: string
          description: Disposition of the contact
        custom_field:
          type: object
          description: Custom fields for the contact
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````